| OpenZWave Library 1.6.0

Public Member Functions | List of all members
OpenZWave::i_HttpClient Class Referenceabstract

`#include <Http.h>`

Inheritance diagram for OpenZWave::i_HttpClient:

## Public Member Functions
| i_HttpClient (Driver *)
virtual | ~i_HttpClient ()
virtual bool | StartDownload (HttpDownload *transfer)=0
void | FinishDownload (HttpDownload *transfer)

## Constructor & Destructor Documentation

## ◆ i_HttpClient()

i_HttpClient::i_HttpClient | ( | Driver * | driver | ) |

## ◆ ~i_HttpClient()

virtual OpenZWave::i_HttpClient::~i_HttpClient | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ FinishDownload()

void i_HttpClient::FinishDownload | ( | HttpDownload * | transfer | ) |

## ◆ StartDownload()

virtual bool OpenZWave::i_HttpClient::StartDownload | ( | HttpDownload * | transfer | ) |
| pure virtual

Implemented in OpenZWave::HttpClient.

The documentation for this class was generated from the following files:

- Http.h
- Http.cpp